<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Commit Method (IEdmRevisionMgr)
See Also Example

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmRevisionMgr Interface : Commit Method (IEdmRevisionMgr)

Visual Basic
C#
C++/CLI

bsComment
  Comment to show in the file history of revision increments

ppoErrors
  Array of EdmRevError structures; one structure for each error that occurred during processing

Commits all of the changes made in this batch object.

# Syntax

Visual Basic |
--- | ---

    Sub Commit( _
       ByVal bsComment As System.String, _
       ByRef ppoErrors() As EdmRevError _
    )

C# |
--- | ---

    void Commit(
       System.string bsComment,
       out EdmRevError[] ppoErrors
    )

C++/CLI |
--- | ---

    void Commit(
    &   System.String^ bsComment,
    &   [Out] array<EdmRevError>^ ppoErrors
    )

#### Parameters

bsComment
  Comment to show in the file history of revision increments
ppoErrors
  Array of EdmRevError structures; one structure for each error that occurred during processing

# Example

Set Initial Revision (VB.NET)
Set Initial Revision (C#)

# Remarks

Return codes:

- S_OK: The method successfully executed.

# See Also

####

IEdmRevisionMgr Interface
IEdmRevisionMgr Members

# Availability

SOLIDWORKS PDM Professional 2007